Skip to main content
POST
/
commerce
/
customer
/
credits
Error
A valid request URL is required to generate request examples
{
  "activationDate": "2023-11-07T05:31:56Z",
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "creditType": "<string>",
  "creditTypeId": 123,
  "currencyCode": "<string>",
  "currentBalance": 123,
  "customCreditType": "<string>",
  "customerId": 123,
  "expirationDate": "2023-11-07T05:31:56Z",
  "initialBalance": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

userId
string
responseFields
string

limits which fields are returned in the response body

Body

application/json

Represetation of a store credit or gift card.

activationDate
string<date-time> | null

Date the credit was activated. Null if card is not active. Credits must be activated before they can be used. ReadOnly after activation

auditInfo
object
code
string | null

Unique number identifier representing this credit. Number may be generated or set by the Tenant Number is unique within the Tenant context. ReadOnly after credit creation

creditType
string | null

Type of Credit. Mozu.Customer.Contracts.Credit.Credit.CreditTypeConst Required. ReadOnly after credit creation

creditTypeId
integer<int32>
currencyCode
string | null

Currency Code

currentBalance
number<double> | null

Do we want to track this here? Current Balance ReadOnly

customCreditType
string | null

Name of custom credit type Optional.

customerId
integer<int32> | null

Id of the N:Mozu.Customer that this credit is assigned to. Optional.

expirationDate
string<date-time> | null

Date after which this credit is no longer valid Optional Defaults to 365 days

initialBalance
number<double> | null

Balance assigned when credit was initially created. May be zero and updated later. ReadOnly after intial credit creation

Response

Success

Represetation of a store credit or gift card.

activationDate
string<date-time> | null

Date the credit was activated. Null if card is not active. Credits must be activated before they can be used. ReadOnly after activation

auditInfo
object
code
string | null

Unique number identifier representing this credit. Number may be generated or set by the Tenant Number is unique within the Tenant context. ReadOnly after credit creation

creditType
string | null

Type of Credit. Mozu.Customer.Contracts.Credit.Credit.CreditTypeConst Required. ReadOnly after credit creation

creditTypeId
integer<int32>
currencyCode
string | null

Currency Code

currentBalance
number<double> | null

Do we want to track this here? Current Balance ReadOnly

customCreditType
string | null

Name of custom credit type Optional.

customerId
integer<int32> | null

Id of the N:Mozu.Customer that this credit is assigned to. Optional.

expirationDate
string<date-time> | null

Date after which this credit is no longer valid Optional Defaults to 365 days

initialBalance
number<double> | null

Balance assigned when credit was initially created. May be zero and updated later. ReadOnly after intial credit creation